Subject: bug#60464: 29.0.60; Regression - pcomplete-arg fails with argument 'last

From: Jim Porter <[email-masked]>
Date: Wed, 4 Jan 2023 10:49:02 -0800

On 1/4/2023 7:56 AM, Stefan Monnier via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> Maybe for `emacs-29` we can use your patch (with a comment about why
> `last` is handled specially pointing to its handling in
> `pcomplete-parse-arguments`) and then in `master` we remove this special
> handling of `last`?

I'd definitely support a minimal fix for the 29 branch, and then we can 
come up with something more thorough for master. It's possible (maybe 
even likely) that we need to make some changes on the Eshell side too.

Once I get some ERT tests written up for Pcomplete-from-Eshell, it 
should hopefully make it easier to try out new implementations and make 
sure it doesn't regress anything.